package repository

import (
	"nms_nbi/src/modules/network_element/model"
)

// UDM签约信息 数据层接口
type IUDMSub interface {
	// ClearAndInsert 清空ne_id后新增实体
	ClearAndInsert(neID string, subArr []model.UDMSub) int64

	// SelectPage 根据条件分页查询字典类型
	SelectPage(query map[string]any) map[string]any

	// SelectList 根据实体查询
	SelectList(subUser model.UDMSub) []model.UDMSub

	// Insert 新增实体
	Insert(subUser model.UDMSub) string

	// Insert 批量添加
	Inserts(subUser []model.UDMSub) int64

	// Update 修改更新
	Update(neID string, subUser model.UDMSub) int64

	// Delete 删除实体
	Delete(neID, imsi string) int64

	// DeletePrefixImsi 删除前缀匹配的实体
	DeletePrefixImsi(neID, imsi string) int64

	// Delete 删除范围实体
	Deletes(neID, imsi, num string) int64
}
